Skip to main content
`Ctrl`+`K`

# hipSPARSELt documentation

hipSPARSELt is a SPARSE marshalling library that presents a common interface for multiple supported backends. For more information, see What is hipSPARSELt?

The hipSPARSELt public repository is located at ROCm/rocm-libraries.

Note

The hipSPARSELt repository for ROCm 6.4.3 and earlier is located at ROCm/hipSPARSELt.

Install

- Quick start installation guide

- Detailed installation guide

Conceptual

- Storage formats

- Features for the Instinct MI300 series

How to

- Manage devices and streams

- Port from NVIDIA CUDA

Examples

- Client samples

API Reference

- Supported functions

- Data type support

- Environment variables

- API library

To contribute to the documentation, see Contributing to ROCm.

You can find licensing information on the Licensing page.